Subject: Re: [Isis-wg] IS-IS HMAC SHA Cryptographic Authentication

From: "Tom Sanders" <[email-masked]>
Date: Wed, 3 May 2006 05:26:16 +0530

Hi Manav,

I was wondering if you could explain me how the fact that the LSP
lifetime is set to zero can be exploited by someone even when using
HMAC-SHA authentication algorithms, as proposed in your draft?

You mention that some hash functions require all the fields of the
message text T to be filled with non zero values. If so, then will it
not result in interop issues, where one vendor decides to use non zero
values and the other decides to fill some fields with zeros?

Toms.

P.S.
Overall the draft looks complete and in good shape!

----- Original Message ----
From: Manav Bhatia <[email-masked]>
To: [email-masked]
Sent: Tuesday, 2 May, 2006 6:08:00 AM
Subject: Re: [Isis-wg] IS-IS HMAC SHA Cryptographic Authentication

Hi,

We have updated the draft to include HMAC-SHA-384 and HMAC-SHA-512
authentication modes. There were some other minor comments as well
that we had received. Those have been addressed in this version.

http://www.ietf.org/internet-drafts/draft-bhatia-manral-isis-hmac-sha-01.txt

Would appreciate a feedback from the WG.

Cheers,
Manav

----- Original Message ----
From: Vishwas Manral <[email-masked]>
To: [email-masked]
Sent: Saturday, 22 April, 2006 6:55:51 AM
Subject: RE: [Isis-wg] IS-IS HMAC SHA Cryptographic Authentication

Hi Hannes,

I mostly agree with Tony here, except for a very corner case where we
can amplify
a DoS because we have multiple keys to choose between at the receiver during Key
Rollover.

--
Toms.
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: "Manav Bhatia" <[email-masked]>
Date: Wed, 3 May 2006 10:47:20 +0530

Toms,

] -----Original Message-----
] From: Tom Sanders [mailto:[email-masked]] 
] Sent: Wednesday, May 03, 2006 5:26 AM
] To: [email-masked]
] Subject: Re: [Isis-wg] IS-IS HMAC SHA Cryptographic Authentication
] 
] Hi Manav,
] 
] I was wondering if you could explain me how the fact that the 
] LSP lifetime is set to zero can be exploited by someone even 
] when using HMAC-SHA authentication algorithms, as proposed in 
] your draft?

Since the Remaining Lifetime is set to zero before computing the
authentication, it means that we don't authenticate this particular field.
And this is done so that the LSPs may be aged by routers in between without
requiring them to recompute the authentication data. 
 
An attacker can set the lifetime to 0 and flood the LSP. The reciever will
not know that this LSP has been tampered with, as the authentication data is
left intact. This LSP will thus be installed by the this router and would
prematurely expire causing all sorts of problem (denial of service). 

] 
] You mention that some hash functions require all the fields 
] of the message text T to be filled with non zero values. If 
] so, then will it not result in interop issues, where one 
] vendor decides to use non zero values and the other decides 
] to fill some fields with zeros?

No, this will not cause any interop issues. Any implementation supporting
the MD4 family of hash functions (described in this draft) MUST set all the
fields to zero, as described in this draft. This is an advisory note
inserted for other hash functions (eg. CRC based polynomials) not covered in
this document.

Cheers,
Manav

] 
] Toms.
] 
] P.S.
] Overall the draft looks complete and in good shape!
] 
] ----- Original Message ----
] From: Manav Bhatia <[email-masked]>
] To: [email-masked]
] Sent: Tuesday, 2 May, 2006 6:08:00 AM
] Subject: Re: [Isis-wg] IS-IS HMAC SHA Cryptographic Authentication
] 
] 
] Hi,
] 
] We have updated the draft to include HMAC-SHA-384 and 
] HMAC-SHA-512 authentication modes. There were some other 
] minor comments as well that we had received. Those have been 
] addressed in this version.
] 
] http://www.ietf.org/internet-drafts/draft-bhatia-manral-isis-h
] mac-sha-01.txt
] 
] Would appreciate a feedback from the WG.
] 
] Cheers,
] Manav
] 
] ----- Original Message ----
] From: Vishwas Manral <[email-masked]>
] To: [email-masked]
] Sent: Saturday, 22 April, 2006 6:55:51 AM
] Subject: RE: [Isis-wg] IS-IS HMAC SHA Cryptographic Authentication
] 
] 
] Hi Hannes,
] 
] I mostly agree with Tony here, except for a very corner case 
] where we can amplify a DoS because we have multiple keys to 
] choose between at the receiver during Key Rollover.
] 
] 
] 
] --
] Toms.
] 

Send instant messages to your online friends http://uk.messenger.yahoo.com